### Constructor

# Vips Target new_to_descriptor

#### Declaration [src]

    VipsTarget*
    vips_target_new_to_descriptor (
      int descriptor
    )

#### Description [src]

Create a target attached to a file descriptor. `descriptor` is kept open until the target is finalized.

See also

`vips_target_new_to_file()`.

#### Parameters

`descriptor`

  Type: `int`

  Write to this file descriptor.

#### Return value

Type: `VipsTarget`

A new target.

The caller of the function takes ownership of the data, and is responsible for freeing it.